# ApplicationFramework
TKPLCAF
MDF

# MDF_ARDriverTable Class Reference

`#include <MDF_ARDriverTable.hxx>`

## Public Member Functions

Standard_EXPORT | MDF_ARDriverTable ()
Standard_EXPORT void | SetDriver (const Handle(MDF_ARDriver)&anHDriver)
Standard_EXPORT void | SetDrivers (const Handle(MDF_ARDriverHSequence)&aDriverHSeq)
Standard_EXPORT const MDF_TypeARDriverMap & | GetDrivers (const Standard_Integer aVersion=0)
Standard_EXPORT Standard_Boolean | GetDriver (const Handle(Standard_Type)&aType, Handle(MDF_ARDriver)&anHDriver, const Standard_Integer aVersion=0) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myVersion
MDF_TypeARDriverMap | myMap
MDF_TypeDriverListMapOfARDriverTable | myMapOfLst

## Constructor & Destructor Documentation

Standard_EXPORT MDF_ARDriverTable::MDF_ARDriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean MDF_ARDriverTable::GetDriver | ( | const Handle(Standard_Type)& | aType,
|  | Handle(MDF_ARDriver)& | anHDriver,
|  | const Standard_Integer | aVersion = `0`
| ) | const

Standard_EXPORT const MDF_TypeARDriverMap& MDF_ARDriverTable::GetDrivers | ( | const Standard_Integer | aVersion = `0` | ) |

Standard_EXPORT const MDF_ARDriverTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MDF_ARDriverTable::SetDriver | ( | const Handle(MDF_ARDriver)& | anHDriver | ) |

Standard_EXPORT void MDF_ARDriverTable::SetDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverHSeq | ) |

## Field Documentation

MDF_TypeARDriverMap MDF_ARDriverTable::myMap `[private]`

MDF_TypeDriverListMapOfARDriverTable MDF_ARDriverTable::myMapOfLst `[private]`

Standard_Integer MDF_ARDriverTable::myVersion `[private]`

The documentation for this class was generated from the following file:

- MDF_ARDriverTable.hxx